# Contribution Guidelines

By participating in this project you agree to abide by its terms.


Ensure your pull request adheres to the following guidelines:

- **If you just created something, wait at least 24 hours before submitting.** This is to give it some time to mature and ensure it's not just a publish-and-forget type of project.
- Only submit something unique and generally useful.
- If you submit a project that is similar to an existing project in the list, argument how it's better.
- Search previous suggestions before making a new one, as yours may be a duplicate.
- Suggested packages should be tested and documented.
- Make an individual pull request for each suggestion.
- Use the following format: `[package](link) - Description.`
- Additions should be added to the bottom of the relevant category.
- Link to the GitHub repo.
- Keep descriptions short and simple, but descriptive.
- Don't mention `ARKit` in the description as it's implied.
- Start the description with a capital and end with a full stop/period.
- Don't start the description with `A` or `An`.
- Check your spelling and grammar.
- Make sure your text editor is set to remove trailing whitespace.
- The pull request should have a useful title and include a link to the package and why it should be included.
- New categories or improvements to the existing categorization are welcome, but should be done in a separate pull request.

Thank you for your suggestion!

### Updating your PR

A lot of times, making a PR adhere to the standards above can be difficult. If the maintainers notice anything that we'd like changed, we'll ask you to edit your PR before we merge it. If you're not sure how to do that, [here is a guide](https://github.com/RichardLitt/docs/blob/master/amending-a-commit-guide.md) on the different ways you can update your PR so that we can merge it.
